<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.CatalogueDetailsMapper">

    <resultMap id="catalogueDetailsMap" type="digital.laboratory.platform.reagent.entity.CatalogueDetails">
        <id property="catalogueDetailsId" column="catalogue_details_id"/>
        <result property="brand" column="brand"/>
        <result property="category" column="category"/>
        <result property="deviationOrUncertainty" column="deviation_or_uncertainty"/>
        <result property="packagedCopies" column="packaged_copies"/>
        <result property="purchaseCatalogueId" column="purchase_catalogue_id"/>
        <result property="purchaseCatalogueNumber" column="purchase_catalogue_number"/>
        <result property="reagentConsumableId" column="reagent_consumable_id"/>
        <result property="species" column="species"/>
        <result property="specificationAndModel" column="specification_and_model"/>
        <result property="standardValueOrPurity" column="standard_value_or_purity"/>
        <result property="unitPrice" column="unit_price"/>
        <result property="reagentConsumableName" column="reagent_consumable_name"/>
        <result property="englishName" column="english_name"/>
        <result property="alias" column="alias"/>
        <result property="storageCondition" column="storage_condition"/>
        <result property="remark" column="remark"/>
        <result property="minimumUnit" column="minimum_unit"/>

    </resultMap>


</mapper>

